// This package helps the backend determine which clients are bots or crawlers.
// In Write.as, this is used to prevent certain things when viewing posts, like
// incrementing the view count.
package bots

var bots = map[string]bool{
	"ABACHOBot/8.14 (Windows NT 6.1 1.5; ko;)":                                 true,
	"AddThis.com robot tech.support@clearspring.com":                           true,
	"Alwyzbot/1.0":                                                             true,
	"Apache-HttpClient/4.2.2 (java 1.5)":                                       true,
	"bitlybot":                                                                 true,
	"bitlybot/3.0 (+http://bit.ly/)":                                           true,
	"Buzzbot/1.0 (Buzzbot; http://www.buzzstream.com; buzzbot@buzzstream.com)": true,
	"cis455crawler":                                                           true,
	"COMODO SSL Checker":                                                      true,
	"crawlernutchtest/Nutch-1.9":                                              true,
	"CRAZYWEBCRAWLER 0.9.8, http://www.crazywebcrawler.com":                   true,
	"CSS Certificate Spider (http://www.css-security.com/certificatespider/)": true,
	"datebot": true,
	"DeadYetBot/1.0 (+http://deadyet.lol)":                                                                 true,
	"dj-research/Nutch-1.11 (analytics@@demandjump.com)":                                                   true,
	"DoCoMo/2.0 N905i(c100;TB;W24H16) (compatible; Googlebot-Mobile/2.1; +http://www.google.com/bot.html)": true,
	"DomainCrawler/1.0": true,
	"Domain Re-Animator Bot (http://domainreanimator.com) - support@domainreanimator.com": true,
	"ExactSeekCrawler/1.0":                                                                true,
	"Gigabot/1.0":                                                                         true,
	"Go 1.1 package http":                                                                 true,
	"Googlebot/2.1 (+http://www.googlebot.com/bot.html)":                                  true,
	"Googlebot/2.1 (+http://www.google.com/bot.html)":                                     true,
	"Googlebot-Image/1.0":                                                                 true,
	"libwww-perl/6.04":                                                                    true,
	"LinkedInBot/1.0 (compatible; Mozilla/5.0; Jakarta Commons-HttpClient/3.1 +http://www.linkedin.com)": true,
	"LivelapBot/0.2 (http://site.livelap.com/crawler)":                                                   true,
	"LSSRocketCrawler/1.0 LightspeedSystems":                                                             true,
	"Mediatoolkitbot (complaints@mediatoolkit.com)":                                                      true,
	"Mediatoolkitbot (info@mediatoolkit.com)":                                                            true,
	"Mediumbot-MetaTagFetcher/0.1 (+https://medium.com/)":                                                true,
	"Melvil/1.0":                                                                                                                                                                                                                  true,
	"MetaCommentBot; http://metacomment.io/about":                                                                                                                                                                                 true,
	"mfibot/1.1 (http://www.mfisoft.ru/analyst/; <admin@mfisoft.ru>; en-RU)":                                                                                                                                                      true,
	"Mozilla/5.0 AppleWebKit/537.36 (KHTML, like Gecko; Google Web Preview Analytics) Chrome/27.0.1453 Safari/537.36 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)":                                                true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.77 Safari/535.7 AppEngine-Google; (+http://code.google.com/appengine; appid: s~feedly-social)":                          true,
	"Mozilla/5.0/Chrome/12.0.742.112 (Macintosh; Intel Mac OS X 10_6_8)":                                                                                                                                                          true,
	"Mozilla/5.0 (compatible; AhrefsBot/5.0; +http://ahrefs.com/robot/)":                                                                                                                                                          true,
	"Mozilla/5.0 (compatible; AhrefsBot/5.1; +http://ahrefs.com/robot/)":                                                                                                                                                          true,
	"Mozilla/5.0 (compatible; aiHitBot/2.9; +https://www.aihitdata.com/about)":                                                                                                                                                    true,
	"Mozilla/5.0 (compatible; alexa site audit/1.0; +http://www.alexa.com/help/webmasters; )":                                                                                                                                     true,
	"Mozilla/5.0 (compatible; Applebot/0.3; +http://www.apple.com/go/applebot)":                                                                                                                                                   true,
	"Mozilla/5.0 (compatible; archive.org_bot +http://www.archive.org/details/archive.org_bot)":                                                                                                                                   true,
	"Mozilla/5.0 (compatible; archive.org_bot; Wayback Machine Live Record; +http://archive.org/details/archive.org_bot)":                                                                                                         true,
	"Mozilla/5.0 (compatible; Baiduspider/2.0; +http://www.baidu.com/search/spider.html)":                                                                                                                                         true,
	"Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)":                                                                                                                                                     true,
	"Mozilla/5.0 (compatible; BLEXBot/1.0; +http://webmeup-crawler.com/)":                                                                                                                                                         true,
	"Mozilla/5.0 (compatible; BuzzSumo; +http://www.buzzsumo.com/bot.html)":                                                                                                                                                       true,
	"Mozilla/5.0 (compatible; coccoc/1.0; +http://help.coccoc.com/)":                                                                                                                                                              true,
	"Mozilla/5.0 (compatible; Discordbot/1.0; +https://discordapp.com)":                                                                                                                                                           true,
	"Mozilla/5.0 (compatible; DotBot/1.1; http://www.opensiteexplorer.org/dotbot, help@moz.com)":                                                                                                                                  true,
	"Mozilla/5.0 (compatible; DuckDuckGo-Favicons-Bot/1.0; +http://duckduckgo.com)":                                                                                                                                               true,
	"Mozilla/5.0 (compatible; Exabot/3.0; +http://www.exabot.com/go/robot)":                                                                                                                                                       true,
	"Mozilla/5.0 (compatible; Feedspotbot/1.0; +http://www.feedspot.com/fs/bot)":                                                                                                                                                  true,
	"Mozilla/5.0 (compatible; Findxbot/1.0; +http://www.findxbot.com)":                                                                                                                                                            true,
	"Mozilla/5.0 (compatible; Gluten Free Crawler/1.0; +http://glutenfreepleasure.com/)":                                                                                                                                          true,
	"Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)":                                                                                                                                                    true,
	"Mozilla/5.0 (compatible; heritrix/3.3.0-SNAPSHOT-20140702-2247 +http://archive.org/details/archive.org_bot)":                                                                                                                 true,
	"Mozilla/5.0 (compatible; heritrix/3.3.0-SNAPSHOT-2014-11-14T15:29:34Z +http://citeseerx.ist.psu.edu/)":                                                                                                                       true,
	"Mozilla/5.0/(compatible; heritrix/3.3.0-SNAPSHOT-20150803-2130 +http://literatur-im-netz.dla-marbach.de)":                                                                                                                    true,
	"Mozilla/5.0 (compatible; Kraken/0.1; http://linkfluence.net/; bot@linkfluence.net)":                                                                                                                                          true,
	"Mozilla/5.0 (compatible; linkdexbot/2.2; +http://www.linkdex.com/bots/)":                                                                                                                                                     true,
	"Mozilla/5.0 (compatible; LinkFeatureBot)":                                                                                                                                                                                    true,
	"Mozilla/5.0 (compatible; LinkisBot/1.0; bot@linkis.com)":                                                                                                                                                                     true,
	"Mozilla/5.0 (compatible; LinkisBot/1.0; bot@linkis.com) (iPhone; CPU iPhone OS 8_4_1 like Mac OS X) Mobile/12H321":                                                                                                           true,
	"Mozilla/5.0 (compatible; Linux x86_64; Mail.RU_Bot/2.0; +http://go.mail.ru/help/robots)":                                                                                                                                     true,
	"Mozilla/5.0 (compatible; Linux x86_64; Mail.RU_Bot/Robots/2.0; +http://go.mail.ru/help/robots)":                                                                                                                              true,
	"Mozilla/5.0 (compatible; Lipperhey-Kaus-Australis/5.0; +https://www.lipperhey.com/en/about/)":                                                                                                                                true,
	"Mozilla/5.0 (compatible; meanpathbot/1.0; +http://www.meanpath.com/meanpathbot.html)":                                                                                                                                        true,
	"Mozilla/5.0 (compatible; MegaIndex.ru/2.0; +http://megaindex.com/crawler)":                                                                                                                                                   true,
	"Mozilla/5.0 (compatible; MixrankBot; crawler@mixrank.com)":                                                                                                                                                                   true,
	"Mozilla/5.0 (compatible; MJ12bot/v1.4.5; http://www.majestic12.co.uk/bot.php?+)":                                                                                                                                             true,
	"Mozilla/5.0 (compatible; MojeekBot/0.6; +https://www.mojeek.com/bot.html)":                                                                                                                                                   true,
	"Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/6.0)":                                                                                                                                                     true,
	"Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; abot v1.2.3.1 http://code.google.com/p/abot)":                                                                                                                             true,
	"Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Trident/5.0); 360Spider":                                                                                                                                                  true,
	"Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Trident/5.0); 360Spider(compatible; HaosouSpider; http://www.haosou.com/help/help_3_2.html)":                                                                              true,
	"Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/5.0)":                                                                                                                                                      true,
	"Mozilla/5.0 (compatible; MSIE or Firefox mutant;) Daum 4.1":                                                                                                                                                                  true,
	"Mozilla/5.0 (compatible; MSIE or Firefox mutant; not on Windows server;) Daum 4.1":                                                                                                                                           true,
	"Mozilla/5.0 (compatible; MSIE or Firefox mutant; not on Windows server;) Daumoa 4.0":                                                                                                                                         true,
	"Mozilla/5.0 (compatible; Nmap Scripting Engine; https://nmap.org/book/nse.html)":                                                                                                                                             true,
	"Mozilla/5.0 (compatible; oBot/2.3.1; +http://filterdb.iss.net/crawler/)":                                                                                                                                                     true,
	"Mozilla/5.0 (compatible; OpenHoseBot/2.1; +http://www.openhose.org/bot.html)":                                                                                                                                                true,
	"Mozilla/5.0 (compatible; OpsBot/1.0)":                                                                                                                                                                                        true,
	"Mozilla/5.0 (compatible; OptimizationCrawler/0.2; +http://www.domainoptima.com/robot)":                                                                                                                                       true,
	"Mozilla/5.0 (compatible; PaperLiBot/2.1; http://support.paper.li/entries/20023257-what-is-paper-li)":                                                                                                                         true,
	"Mozilla/5.0 (compatible; PrivacyAwareBot/1.1; +http://www.privacyaware.org)":                                                                                                                                                 true,
	"Mozilla/5.0 (compatible; Qwantify/2.2w; +https://www.qwant.com/)/*":                                                                                                                                                          true,
	"Mozilla/5.0 (compatible; redditbot/1.0; +http://www.reddit.com/feedback)":                                                                                                                                                    true,
	"Mozilla/5.0 (compatible; Sadakura; +http://shorf.com/bot.php)":                                                                                                                                                               true,
	"Mozilla/5.0 (compatible; SemrushBot/1.1~bl; +http://www.semrush.com/bot.html)":                                                                                                                                               true,
	"Mozilla/5.0 (compatible; SemrushBot/1~bl; +http://www.semrush.com/bot.html)":                                                                                                                                                 true,
	"Mozilla/5.0 (compatible; SEOkicks-Robot; +http://www.seokicks.de/robot.html)":                                                                                                                                                true,
	"Mozilla/5.0 (compatible; SEOlyticsCrawler/3.0; +http://crawler.seolytics.net/)":                                                                                                                                              true,
	"Mozilla/5.0 (compatible; SeznamBot/3.2; +http://fulltext.sblog.cz/)":                                                                                                                                                         true,
	"Mozilla/5.0 (compatible; SeznamBot/3.2; +http://napoveda.seznam.cz/en/seznambot-intro/)":                                                                                                                                     true,
	"Mozilla/5.0 (compatible; spbot/4.4.2; +http://OpenLinkProfiler.org/bot )":                                                                                                                                                    true,
	"Mozilla/5.0 (compatible; spbot/5.0.1; +http://OpenLinkProfiler.org/bot )":                                                                                                                                                    true,
	"Mozilla/5.0 (compatible; spbot/5.0.2; +http://OpenLinkProfiler.org/bot )":                                                                                                                                                    true,
	"Mozilla/5.0 (compatible; spbot/5.0; +http://OpenLinkProfiler.org/bot )":                                                                                                                                                      true,
	"Mozilla/5.0 (compatible; special_archiver/3.1.1 +http://www.archive.org/details/archive.org_bot)":                                                                                                                            true,
	"Mozilla/5.0 (compatible; TestCrawler)":                                                                                                                                                                                       true,
	"Mozilla/5.0 (compatible; uMBot-LN/1.0; mailto: crawling@ubermetrics-technologies.com)":                                                                                                                                       true,
	"Mozilla/5.0 (compatible; UptimeRobot/2.0; http://www.uptimerobot.com/)":                                                                                                                                                      true,
	"Mozilla/5.0+(compatible; UptimeRobot/2.0; http://www.uptimerobot.com/)":                                                                                                                                                      true,
	"Mozilla/5.0 (compatible; woriobot +http://worio.com)":                                                                                                                                                                        true,
	"Mozilla/5.0 (compatible; Yahoo! Slurp; http://help.yahoo.com/help/us/ysearch/slurp)":                                                                                                                                         true,
	"Mozilla/5.0 (compatible; YandexBot/3.0; +http://yandex.com/bots)":                                                                                                                                                            true,
	"Mozilla/5.0 (compatible; Yeti/1.1; +http://help.naver.com/robots/)":                                                                                                                                                          true,
	"Mozilla/5.0 (compatible; zitebot support [at] zite [dot] com +http://zite.com)":                                                                                                                                              true,
	"Mozilla/5.0/Firefox/42.0 (contactbigdatafr at gmail.com)":                                                                                                                                                                    true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 6_0 like Mac OS X) AppleWebKit/536.26 (KHTML, like Gecko) Version/6.0 Mobile/10A5376e Safari/8536.25 (compatible; Applebot/0.3; +http://www.apple.com/go/applebot)":                       true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 6_0 like Mac OS X) AppleWebKit/536.26 (KHTML, like Gecko) Version/6.0 Mobile/10A5376e Safari/8536.25 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)":                        true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 7_0 like Mac OS X) AppleWebKit/537.51.1 (KHTML, like Gecko) Version/7.0 Mobile/11A465 Safari/9537.53 (compatible; bingbot/2.0;  http://www.bing.com/bingbot.htm)":                         true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 7_0 like Mac OS X) AppleWebKit/537.51.1 (KHTML, like Gecko) Version/7.0 Mobile/11A465 Safari/9537.53 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)":                         true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 8_1 like Mac OS X) AppleWebKit/600.1.4 (KHTML, like Gecko) Version/8.0 Mobile/12B410 Safari/600.1.4 (Applebot/0.1; +http://www.apple.com/go/applebot)":                                    true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 8_3 like Mac OS X) AppleWebKit/600.1.4 (KHTML, like Gecko) Version/8.0 Mobile/12F70 Safari/600.1.4 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)":                          true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 8_3 like Mac OS X) AppleWebKit/600.1.4 (KHTML, like Gecko) Version/8.0 Mobile/12F70 Safari/600.1.4 (compatible; Laserlikebot/0.1)":                                                        true,
	"Mozilla/5.0 (iPhone; CPU iPhone OS 9_3_2 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13F69 Safari/601.1":                                                                                      true,
	"Mozilla/5.0 (Linux; Android 6.0.1; Nexus 5X Build/MMB29P) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.1453 Mobile Safari/537.36 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)":                         true,
	"Mozilla/5.0 (Linux; Android 6.0.1; Nexus 5X Build/MMB29P) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.96 Mobile Safari/537.36 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)":                      true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKit/600.2.5 (KHTML, like Gecko) Version/8.0.2 Safari/600.2.5 (Applebot/0.1; +http://www.apple.com/go/applebot)":                                                      true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.106 Safari/537.36":                                                                                                   true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.103 Safari/537.36":                                                                                                   true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:42.0) Gecko/20100101 Firefox/42.0":                                                                                                                                          true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/35.0.1916.114 Safari/537.36":                                                                                                    true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:28.0) Gecko/20100101 Firefox/28.0 (FlipboardProxy/1.1; +http://flipboard.com/browserproxy)":                                                                                  true,
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:29.0) Gecko/20100101 Firefox/29.0":                                                                                                                                           true,
	"Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_8; en-us) AppleWebKit/533.18.1 (KHTML, like Gecko) Version/5.0.2 Safari/533.18.5":                                                                                             true,
	"Mozilla/5.0 (TweetmemeBot/4.0; +http://datasift.com/bot.html) Gecko/20100101 Firefox/31.0":                                                                                                                                   true,
	"Mozilla/5.0 (Windows; Crawler; U; Windows NT 6.0; en-US; rv:1.9.0.7) Gecko/2009021910 Firefox/3.0.7 (.NET CLR 3.5.30729)":                                                                                                    true,
	"Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.103 Safari/537.36":                                                                                                              true,
	"Mozilla/5.0 (Windows NT 10.0; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0":                                                                                                                                                   true,
	"Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; rv:11.0) like Gecko":                                                                                                                                                       true,
	"Mozilla/5.0 (Windows NT 5.1) AppleWebKit/534.27+ (KHTML, like Gecko) Version/5.0.4 Safari/533.20.27":                                                                                                                         true,
	"Mozilla/5.0 (Windows NT 5.1; rv:33.0) Gecko/20100101 Firefox/33.0":                                                                                                                                                           true,
	"Mozilla/5.0 (Windows NT 5.1; rv:6.0.2) Gecko/20100101 Firefox/6.0.2":                                                                                                                                                         true,
	"Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.1 (KHTML, like Gecko) Chrome/21.0.1180.89 Safari/537.1; 360Spider(compatible; HaosouSpider; http://www.haosou.com/help/help_3_2.html)":                                          true,
	"Mozilla/5.0 (Windows NT 6.1) (compatible; SMTBot/1.0; +http://www.similartech.com/smtbot)":                                                                                                                                   true,
	"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36":                                                                                                               true,
	"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.137 Safari/537.36":                                                                                                               true,
	"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2490.86 Safari/537.36":                                                                                                                true,
	"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36":                                                                                                                true,
	"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20100101 Firefox/21.0":                                                                                                                                                    true,
	"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0":                                                                                                                                                    true,
	"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:29.0) Gecko/20100101 Firefox/29.0":                                                                                                                                                    true,
	"Mozilla/5.0 (Windows NT 6.2; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0":                                                                                                                                                    true,
	"Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36":                                                                                                               true,
	"Mozilla/5.0 (Windows NT 6.3; WOW64; rv:39.0) Gecko/20100101 Firefox/39.0":                                                                                                                                                    true,
	"Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.6) Gecko/20040206 Firefox/0.8":                                                                                                                                          true,
	"Mozilla/5.0 (Windows; U; Windows NT 5.1; en; rv:1.9.0.13) Gecko/2009073022 Firefox/3.5.2 (.NET CLR 3.5.30729) SurveyBot/2.3 (DomainTools)":                                                                                   true,
	"Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.1453.116 Safari/537.36 HubSpot Webcrawler":                                                                                true,
	"Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4":                                                                                                                                        true,
	"Mozilla/5.0 (Windows; U; Windows NT 5.1; ja; rv:1.8.0.10) Gecko/20070216 Firefox/1.5.0.10":                                                                                                                                   true,
	"Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.0; trendictionbot0.5.0; trendiction search; http://www.trendiction.de/bot; please let us know of any problems; web at trendiction.com) Gecko/20071127 Firefox/3.0.0.11": true,
	"Mozilla/5.0 (Windows; U; WinNT4.0; de-DE; rv:1.7.6) Gecko/20050226 Firefox/1.0.1":                                                                                                                                            true,
	"Mozilla/5.0 (X11; Linux i686) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.47 Safari/536.11":                                                                                                                      true,
	"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/40.0.2214.115 Safari/537.36":                                                                                                                   true,
	"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/44.0.2403.155 Safari/537.36/Gringe":                                                                                                            true,
	"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.101 Safari/537.36":                                                                                                                   true,
	"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.111 Safari/537.36":                                                                                                                   true,
	"Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20061201 Firefox/2.0.0.8":                                                                                                                                          true,
	"Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060118 Firefox/1.5":                                                                                                                                                  true,
	"Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.8.1.6) Gecko/20080208 Ubuntu/7.10 (gutsy) Firefox/2.0.0.12":                                                                                                                     true,
	"Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.0.9) Gecko/2009042113 Ubuntu/8.04 (hardy) Firefox/3.0.9":                                                                                                                         true,
	"Mozilla/5.0 (X11; U; Linux i686; hu-HU; rv:1.9.1.9) Gecko/20100330 Fedora/3.5.9-1.fc12 Firefox/3.5.9":                                                                                                                        true,
	"Mozilla/5.0 (X11; U; Linux i686; nl; rv:1.9) Gecko/2008061015 Firefox/3.0":                                                                                                                                                   true,
	"Mozilla/5.0 (X11; U; Linux i686; pt-BR; rv:1.8.0.6) Gecko/20060728 Firefox/1.5.0.6":                                                                                                                                          true,
	"Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.9.1.7) Gecko/20100106 Ubuntu/9.10 (karmic) Firefox/3.5.7":                                                                                                                     true,
	"Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.2.8) Googlebot-Compatible Gecko/20100723 Ubuntu/10.04 (lucid) Firefox/3.6.8":                                                                                                   true,
	"Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.18) Gecko/20081112 Fedora/2.0.0.18-1.fc8 Firefox/2.0.0.18":                                                                                                                true,
	"Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.3) Gecko/20090914 Slackware/13.0_stable Firefox/3.5.3":                                                                                                                    true,
	"Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9a1) Gecko/20060112 Firefox/1.6a1":                                                                                                                                            true,
	"Mozilla/5.0 (X11; U; Linux x86_64; zh-TW; rv:1.9.0.13) Gecko/2009080315 Ubuntu/9.04 (jaunty) Firefox/3.0.13":                                                                                                                 true,
	"myspider/Nutch-1.10":                                         true,
	"netEstate NE Crawler (+http://www.website-datenbank.de/)":    true,
	"omgili/0.5 +http://omgili.com":                               true,
	"PercolateCrawler/4 (ops@percolate.com)":                      true,
	"python-requests/2.6.2 CPython/2.7.6 Linux/3.13.0-43-generic": true,
	"python-requests/2.6.2 CPython/2.7.6 Linux/3.13.0-61-generic": true,
	"Python-urllib/2.7":                                           true,
	"rogerbot/1.0 (http://moz.com/help/pro/what-is-rogerbot-, rogerbot-crawler+shiny@moz.com)": true,
	"Ruby": true,
	"SafeDNSBot (https://www.safedns.com/searchbot)":                                                                                                                            true,
	"SafeDNS search bot/Nutch-1.9 (https://www.safedns.com/searchbot; support [at] safedns [dot] com)":                                                                          true,
	"SAMSUNG-SGH-E250/1.0 Profile/MIDP-2.0 Configuration/CLDC-1.1 UP.Browser/6.2.3.3.c.1.101 (GUI) MMP/2.0 (compatible; Googlebot-Mobile/2.1; +http://www.google.com/bot.html)": true,
	"Screaming Frog SEO Spider/4.1":                                           true,
	"Screaming Frog SEO Spider/5.0":                                           true,
	"Screaming Frog SEO Spider/5.1":                                           true,
	"semanticbot":                                                             true,
	"semanticbot (info@semanticaudience.com)":                                 true,
	"ShowyouBot (http://showyou.com/crawler)":                                 true,
	"Slackbot 1.0 (+https://api.slack.com/robots)":                            true,
	"Slackbot-LinkExpanding 1.0 (+https://api.slack.com/robots)":              true,
	"Sogou web spider/4.0(+http://www.sogou.com/docs/help/webmasters.htm#07)": true,
	"spider":                        true,
	"spiderbot":                     true,
	"Stratagems Kumo":               true,
	"TelegramBot":                   true,
	"TelegramBot (like TwitterBot)": true,
	"Traackr.com Bot":               true,
	"Twitterbot/1.0":                true,
	"voltron":                       true,
	"Wotbox/2.01 (+http://www.wotbox.com/bot/)":                                                                       true,
	"yacybot (freeworld/global; amd64 Linux 3.12.43-52.6-default; java 1.8.0_40; Europe/en) http://yacy.net/bot.html": true,
	"yacybot (/global; x86_64 Mac OS X 10.11.4; java 1.8.0_77; America/en) http://yacy.net/bot.html":                  true,
	"YisouSpider": true,
	"Y!J-ASR/0.1 crawler (http://www.yahoo-help.jp/app/answers/detail/p/595/a_id/42716/)": true,
}

// IsBot returns whether or not the provided User-Agent string is a known bot
// or crawler.
func IsBot(ua string) bool {
	if _, ok := bots[ua]; ok {
		return true
	}
	return false
}
